package com.bytedance.android.livesdk.survey.api;

import X.1c5;
import X.8qk;
import X.C4730HVj;
import X.IUt;
import X.JM9;
import X.PUt;
import X.PV0;
import X.PgU;
import com.bytedance.covode.number.Covode;
import java.util.HashMap;

public interface SurveyApi {
    static {
        Covode.recordClassIndex(20835);
    }

    @IUt(LIZ = "/webcast/room/survey/list/")
    PgU<1c5<C4730HVj>> list(@PUt(LIZ = "room_id") long j);

    @8qk
    @JM9(LIZ = "/webcast/room/survey/submit/")
    PgU<1c5<Void>> submit(@PV0 HashMap<String, Object> hashMap);
}
